#include "qtkdeintegration_x11_p.h"

#include <qcolordialog.h>
#include <qfiledialog.h>
#include <qfontdialog.h>
#include <qlibrary.h>
#include <qregexp.h>
#include <qmessagebox.h>
#include <qapplication.h>

bool QKDEIntegration::inited = false;
bool QKDEIntegration::enable = false;

bool QKDEIntegration::enabled()
    {
    if( !inited )
        initLibrary();
    return enable;
    }

static QCString findLibrary()
    {
    if( getenv( "KDE_FULL_SESSION" ) == NULL )
        return "";
    if( getenv( "KDE_FULL_SESSION" )[ 0 ] != 't' && getenv( "KDE_FULL_SESSION" )[ 0 ] != '1' )
        return "";
    if( getenv( "QT_NO_KDE_INTEGRATION" ) == NULL
        || getenv( "QT_NO_KDE_INTEGRATION" )[ 0 ] == '0' )
        {
        return QCString( QTKDELIBDIR ) + "/libqtkde";
        }
    return "";
    }

static long parentToWinId( const QWidget* w )
    {
    if( w != NULL )
        return w->topLevelWidget()->winId();
    // try to find some usable parent
    if( qApp->activeWindow() && w != qApp->activeWindow())
        return qApp->activeWindow()->winId();
    if( qApp->mainWidget() && w != qApp->mainWidget())
        return qApp->mainWidget()->winId();
    return 0;
    }

inline static QFont fontPtrToFontRef( const QFont* f )
    {
    return f != NULL ? *f : QFont();
    }

// ---
