/***************************************************************************
                          susehwitemhandler.h  -  description
                             -------------------
    copyright            : (C) 2002 SUSE AG
    email                : Oliver.Ries@suse.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUSEHWITEMHANDLER_H
#define SUSEHWITEMHANDLER_H

#include <dbus/dbus.h>
#include <hal/libhal.h>
#include <kconfig.h>
#include <kdirwatch.h>
#include <kprocess.h>
#include <dcopobject.h>

#include <qwidget.h>
#include <qfileinfo.h>
#include <qstringlist.h>
#include <qmap.h>
#include <qdict.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include "susehwitem.h"

class HWItemHandler : public QObject
{
  Q_OBJECT

public:
	HWItemHandler();
	~HWItemHandler();

	bool handle(const QString &udi);
	LibHalContext *                 halc;

protected:
	void 	AutoStartActive( bool a );

private:
	QDict<HWItem> items;
	QString 			host;
	QString				display;
	bool				dialogdisplayed;
	QDict<HWItem>       	dialogQueue;
	QMap<QString, QString>		mFstab;
	void 				launchDialog();

public slots:
	void 	queueDialogforPopup(HWItem *p);
        void 	queuedDialogDone(HWItem *p);
	void    dequeueAll();
	void 	checkFor75dpi();
        void    sessioninit();
};
#endif
